/*
 * $Id: AbstractRoseCVSPlugin.java,v 1.6 2004/12/21 16:12:19 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose;

import org.softevo.rose.ccvs.IRepositoryProvider;
import org.softevo.rose.ccvs.RepositoryException;

/**
 * @author Thomas Zimmermann, zimmerth@cs.uni-sb.de
 */
public abstract class AbstractRoseCVSPlugin extends AbstractRosePlugin implements IRoseCVSPlugin {

    protected IRepositoryProvider cvs;

    public AbstractRoseCVSPlugin() {
        // empty
    }
    
    /**
     * 
     * @param cvs
     * @throws RosePluginException
     */
    public void initCVS(IRepositoryProvider cvs) throws RosePluginException {
        this.cvs = cvs;
        try {
            cvs.open();
        } catch (RepositoryException e) {
            throw new RosePluginException(e);
        }
    }
    
    /**
     * 
     * @param cvs
     */
    public void setCVS(IRepositoryProvider cvs) {
        this.cvs = cvs;
    }
    
    /**
     * 
     */
    public void closeCVS() {
        cvs.close();
    }
}
