/*
 * $Id: IDataMiningAlgorithm.java,v 1.8 2005/01/13 14:50:17 dallmeier Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.assist;

import org.softevo.rose.IDBConnection;
import org.softevo.rose.compare.ModificationItem;

/** This interface is implemented by different
 *  data mining algorithms that process the results
 *  of the preprocessing phase. <BR>
 */
public interface IDataMiningAlgorithm extends IDBConnection {

  /** Starts the data mining process. <BR>
   *  This method is called by the plugin whenever
   *  the set of changed entities has changed.
   *  @param changedEntities the set of changed entities
   *  @return an array of <code>IDataMiningResult</code>
   */
  public abstract Object[] performMining(ModificationItem[] changedEntities);
  
  /** Gets the algorithm name. <BR>
   */
  public abstract String getName();
  
  /** Called whenever properties should be refreshed. <BR>
   */
  public abstract void refreshProperties();
}
