/*
 * $Id: TestDMAlgorithm.java,v 1.7 2005/01/13 14:50:17 dallmeier Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.assist;

import java.util.Properties;

import org.softevo.rose.RosePluginException;
import org.softevo.rose.compare.ModificationItem;
import org.softevo.rose.db.DatabaseProvider;

/** A dummy implementation of the <code>IDataMiningAlgorithm</code>
 *  interface used for testing of the ui. <BR>
 */
public class TestDMAlgorithm implements IDataMiningAlgorithm {
  
  /* (non-Javadoc)
   * @see org.softevo.rose.assist.IDataMiningAlgorithm#getName()
   */
  public String getName() {
    return "Dummy Mining Algorithm";
  }
  
  /* (non-Javadoc)
   * @see org.softevo.rose.assist.IDataMiningAlgorithm#performMining(org.softevo.rose.compare.ModificationItem[])
   */
  public Object[] performMining(ModificationItem[] changedEntities) {
    IDataMiningResult[] result = new IDataMiningResult[changedEntities.length]; 
    for (int i = 0; i < changedEntities.length; i++) {
      String id = changedEntities[i].getID();
      String fileName = changedEntities[i].getAttachedFileName();
      result[i] = new DataMiningResult(id, fileName, id);
    }
    return result;
  }
  
  /* (non-Javadoc)
   * @see org.softevo.rose.assist.IDataMiningAlgorithm#setProperties(java.util.Properties)
   */
  public void setProperties(Properties p) {
    //empty
  }
  
  /* (non-Javadoc)
   * @see org.softevo.rose.assist.IDataMiningAlgorithm#getProperties()
   */
  public Properties getProperties() {
    return null;
  }
  
  /* (non-Javadoc)
   * @see org.softevo.rose.IDBConnection#dispose()
   */
  public void close() throws RosePluginException {
    //empty
  }
  
  /* (non-Javadoc)
   * @see org.softevo.rose.IDBConnection#init(org.softevo.rose.db.DatabaseProvider)
   */
  public void init(DatabaseProvider db) throws RosePluginException {
    //empty
  }
  
  /* (non-Javadoc)
   * @see org.softevo.rose.assist.IDataMiningAlgorithm#refreshProperties()
   */
  public void refreshProperties() {
    //empty
  }
  
}
