/*
 * $Id: AssociationRulePreferenceInitializer.java,v 1.1 2004/12/17 13:04:12 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.assist.mining;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.core.runtime.preferences.DefaultScope;
import org.eclipse.core.runtime.preferences.IEclipsePreferences;
import org.softevo.rose.assist.AssistPlugin;
import org.softevo.rose.assist.mining.preferences.IRosePreferenceConstants;

/**
 * @author Thomas Zimmermann, zimmerth@cs.uni-sb.de
 */
public class AssociationRulePreferenceInitializer extends AbstractPreferenceInitializer {

    /* (non-Javadoc)
     * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
     */
    public void initializeDefaultPreferences() {
		IEclipsePreferences node = new DefaultScope().getNode(AssistPlugin.getDefault().getBundle().getSymbolicName());
        node.putBoolean(IRosePreferenceConstants.ROSE_IS_ENABLED_MIN_CONFIDENCE, true);
        node.putBoolean(IRosePreferenceConstants.ROSE_IS_ENABLED_MIN_SUPPORT, true);
        node.putDouble(IRosePreferenceConstants.ROSE_MIN_CONFIDENCE, AssociationRuleMiningPlugin.CONFIDENCE_VALUES[0]);
        node.putInt(IRosePreferenceConstants.ROSE_MIN_SUPPORT, AssociationRuleMiningPlugin.SUPPORT_VALUES[0]);
        for (int i = 0; i < AssociationRuleMiningPlugin.ENTITY_TYPES.length; i++) {
            node.putBoolean(AssociationRuleMiningPlugin.ENTITY_TYPES[i].getPreferenceID(), 
                    AssociationRuleMiningPlugin.ENTITY_TYPES[i].getDefaultValue());
        }
    }

}
