/*
 * $Id: CCVSPlugin.java,v 1.5 2005/03/01 10:42:31 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.ccvs;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The main plugin class to be used in the desktop.
 */
public class CCVSPlugin extends AbstractUIPlugin {
	//The shared instance.
	private static CCVSPlugin plugin;
	//Resource bundle.
	private ResourceBundle resourceBundle;
	
	private static final String ID = "org.softevo.rose.ccvs";

	/**
	 * The constructor.
	 */
	public CCVSPlugin() {
		super();
		plugin = this;
		try {
			resourceBundle = ResourceBundle.getBundle("org.softevo.rose.ccvs.CCVSPluginResources");
		} catch (MissingResourceException x) {
			resourceBundle = null;
		}
	}

	/**
	 * This method is called upon plug-in activation
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/**
	 * This method is called when the plug-in is stopped
	 */
	public void stop(BundleContext context) throws Exception {
		super.stop(context);
	}

	/**
	 * Returns the shared instance.
	 */
	public static CCVSPlugin getDefault() {
		return plugin;
	}

	/**
	 * Returns the string from the plugin's resource bundle,
	 * or 'key' if not found.
	 */
	public static String getResourceString(String key) {
		ResourceBundle bundle = CCVSPlugin.getDefault().getResourceBundle();
		try {
			return (bundle != null) ? bundle.getString(key) : key;
		} catch (MissingResourceException e) {
			return key;
		}
	}

	/**
	 * Returns the plugin's resource bundle,
	 */
	public ResourceBundle getResourceBundle() {
		return resourceBundle;
	}
	
	public static void debugInfo(String message) {
	    if (plugin.isDebugging())
	        System.out.println(message);
	}

	public static void logInfo(String message) {
	    if (plugin.isDebugging())
	        plugin.getLog().log(new Status(IStatus.INFO, ID, 0, message, null));
	}

	public static void logWarning(String message, Throwable e) {
		plugin.getLog().log(new Status(IStatus.WARNING, ID, 0, message, e));
	}

	public static void logError(String message, Throwable e) {
		plugin.getLog().log(new Status(IStatus.ERROR, ID, 0, message, e));
	}
	
	public static void logException(Throwable e, int severity) {
	    plugin.getLog().log(new Status(severity, ID, 0, e.getMessage(), e));
	} 

}
