/*
 * $Id: IRepositoryContentListener.java,v 1.3 2004/09/02 15:28:10 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.ccvs.listener;

/**
 * @author Thomas Zimmermann, zimmerth@cs.uni-sb.de
 */
public interface IRepositoryContentListener {

	/**
	 * This method is called for each non-deleted file.
	 * 
	 * @param fileName  the filename.
	 */
	public abstract void doFile(String fileName);
	
	/**
	 * This method is called for each deleted file.
	 * 
	 * @param fileName  the filename.
	 */
	public abstract void doDeletedFile(String fileName);
	
	/**
	 * This method is called for each directory of the workspace.
	 * 
	 * @param directoryName  the directory name.
	 */
	public abstract void doDirectory(String directoryName);
	
	/*
	 * This method is called for each directory that is 
	 * <EM>NOT</EM> in the workspace, but in the repository.
	 * 
	 * @param directoryName  the directory name.
	 * @return  <code>true</code> if subdirectories should be visited.
	 */
	// public abstract boolean doRemoteDirectory(String directoryName);
	
}
