/*
 * $Id: ChangedEntity.java,v 1.1 2004/12/09 17:38:33 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.data.entities.model;

import org.softevo.rose.compare.ModificationItem;

/**
 * @author Thomas Zimmermann, zimmerth@cs.uni-sb.de
 */
public class ChangedEntity {

    public static final String ADDED = "ADD";
    public static final String DELETED = "DEL";
    public static final String CHANGED = "CHG";
    public static final String CHANGED_NON_PARSEABLE_FILE = CHANGED;    
    public static final String CHANGED_PARSEABLE_FILE = CHANGED + "_P";
    
    private int fileId = -1;
    private String previousRevisionId = null;
    private String revisionId = null;
    private int entityId = -1;
    private String action = null;
    private String content = null;    
    
    public ChangedEntity(int fileid, String revisionId, int entityId, String action) {
        this.fileId = fileid;
        this.revisionId = revisionId;
        this.entityId = entityId;
        this.action = action;
    }
    
    public static final String[] ACTION_DESCRIPTIONS = {
        null, ADDED, CHANGED, DELETED
    };
    
    public static final String getCorrespondingAction(int type) {        
        switch (type) {
    		case ModificationItem.ADDED: 
    		case ModificationItem.CHANGED: 
    		case ModificationItem.DELETED: 
        	    return ACTION_DESCRIPTIONS[type];            
        default:
            break;
        }
        return null;
    }
    
    public String getContent() {
        return content;
    }
    public void setContent(String content) {
        this.content = content;
    }
    public String getPreviousRevisionId() {
        return previousRevisionId;
    }
    public void setPreviousRevisionId(String previousRevisionId) {
        this.previousRevisionId = previousRevisionId;
    }
    public String getAction() {
        return action;
    }
    public int getEntityId() {
        return entityId;
    }
    public int getFileId() {
        return fileId;
    }
    public String getRevisionId() {
        return revisionId;
    }
}
