/*
 * $Id: GroupRosePlugin.java,v 1.6 2004/12/21 16:12:20 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.data.mirror;

import java.sql.SQLException;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.jobs.Job;
import org.softevo.rose.AbstractRoseCVSPlugin;
import org.softevo.rose.RosePluginException;
import org.softevo.rose.data.mirror.db.DatabaseOperations;
import org.softevo.rose.db.DatabaseProvider;

/**
 * @author Thomas Zimmermann, zimmerth@cs.uni-sb.de
 */
public class GroupRosePlugin extends AbstractRoseCVSPlugin {

    private DatabaseOperations dbOperation = null;

    /**
     * @param db
     * @param cvs
     */
    public GroupRosePlugin() {
        super();
    }

    /**
     * @throws RosePluginException
     * @see org.softevo.rose.IRosePlugin#reset()
     */
    public void reset() throws RosePluginException {
        // empty
    }

    /**
     * @throws RosePluginException
     * @see org.softevo.rose.IRosePlugin#setup()
     */
    public void setup() throws RosePluginException {
        try {
            dbOperation.setupStmts();
        } catch (SQLException e) {
            throw new RosePluginException(e);
        }
    }

    public Job createJob(IProject project) {
        GroupJob job = new GroupJob(dbOperation);
        return job;
    }

    public void init(DatabaseProvider db) throws RosePluginException {
        super.init(db);
		dbOperation = new DatabaseOperations(db);
		try {
            dbOperation.init();
        } catch (SQLException e) {
            throw new RosePluginException(e);
        }

    }
    
    public void close() throws RosePluginException {
        try {
            dbOperation.close();
        } catch (SQLException e) {
            throw new RosePluginException(e);
        } finally {
            dbOperation = null;
            super.close();
        }
    }

}
